** define selected monthly climatological fields from a 10-yr real_time run 
** input is assumed to be monthly data
* 'reinit'
* 'open 8298.ctl'


*  get qtcmpar: vertical profile, conversion factors,etc.
 'run qtcmpar'


*  derived quantities
'set time jan1982 jan1998'

*  total wind, surface
 'define us=V1s*u1+u0'
 'define vs=V1s*v1+v0'

*  total wind, 900mb
 'define u9=V1900mb*u1+u0'
 'define v9=V1900mb*v1+v0'

*  total wind, 850mb
 'define u85=V1850mb*u1+u0'
 'define v85=V1850mb*v1+v0'

*  total wind, 300mb
 'define u3=V1300mb*u1+u0'
 'define v3=V1300mb*v1+v0'

*   total wind, 200mb
 'define ut=V1t*u1+u0'
 'define vt=V1t*v1+v0'

* Solar absorbed by surface
 'define FSWs=FSWds-FSWus'
 
* Solar absorbed by air column
 'define FSW=S0-FSWut-FSWds+FSWus'
 
* Longwave absorbed by surface
 'define FLWs=FLWds-FLWus'
 
* Longwave absorbed by air column
 'define FLW=FLWus-OLR-FLWds'
 
* net energy absorbed by surface
 'define Fs=FSWs+FLWs-Evap-FTs'
 
* net energy absorbed at TOA
 'define Ft=S0-FSWut-OLR'
 
* net moist (i.e. including evaporation) energy absorbed by air column
 'define F=Ft-Fs'

* <Q1>, <Q2>(=Prec-Evap in QTCM) of Yanai et al.(1973)
 'define Q2hat=Prec-Evap'
 'define Q1hat=F+Q2hat'



*  define climatology out of a 10yr run
'set t 1 12'

 clim(prec)
 clim(Ts)
 clim(T1)
 clim(q1)
 clim(advT1)
 clim(FLWds)
 clim(FLWus)
 clim(FLWs)
 clim(OLR)
 clim(FLW)
 clim(FSWds)
 clim(FSWus)
 clim(FSWs)
 clim(FSWut)
 clim(FSW)
 clim(Fs)
 clim(Ft)
 clim(F)
 clim(Q1hat)
 clim(Q2hat)
 clim(cl3)
 clim(FTs)
 clim(Evap)
 clim(Runf)
 clim(WD)
 clim(us)
 clim(vs)
 clim(u85)
 clim(v85)
 clim(u3)
 clim(v3)
 clim(ut)
 clim(vt)
 clim(taux)
 clim(tauy)
 clim(t1)
 clim(wd)
 clim(arr2)
 clim(arr1)
 
function clim(var)
* T1 ->T1c   add a c to represent the climatological variable
 'define 'var'c=ave('var',t+0,t=204,1yr)'
 prompt var'c   '
 'modify 'var'c seasonal'
return
