c*********************************************************************
c $Source: /long/munnich/CVSROOT/UCLA/QTCM/src/driver.F,v $
c $Author: munnich $
c $Revision: 1.5 $
c $Date: 2000/06/27 01:10:41 $
c
c File: driver.f
c
c Drives qtcm and ocean, structured like a coupled ocean-atmosphere
c   model
c
c Code history:
c   Original Version:                 Bill Weibel    Nov 1996
c   Partial revision for SST input :  Ning Zeng      Jan 1997
c   QTCM1 release (QTCM1 Version2.0)                 June 1998
c*********************************************************************



      Program Driver
c
      implicit none
#include "calendar.h"
      integer itdriver, lastday, interval

c
c- Initializing 
      call DriveInit(lastday, interval) !setup user-control parameters
      call qtcminit                     !atmo
      call OceanInit                    !ocean
      call outpinit                     !initialize output (open global files)
      write (6,*) 'Driver: Starting at model date', dateofmodel

c- Main loop of ocean-atmosphere coupling
      do itdriver = 1, lastday, interval
         call TimeManager(itdriver)     !advance the calendar
         call Ocean(interval,itdriver)  !ocean; generate SST for atmo
         call qtcm(interval)            !atmo
         call outpall                   !output all
         write (6,*) 'Driver: Running for ',itdriver,' days',
     &      '  at model date', dateofmodel
         call flush(6)
      enddo

c- Wrap up
      call finish

      end

